# mysqlpp::ScopedLock Class Reference

Wrapper around BeecryptMutex to add scope-bound locking and unlocking. More...

`#include <beemutex.h>`

Collaboration diagram for mysqlpp::ScopedLock:

[legend]
List of all members.

## Public Member Functions

| ScopedLock (BeecryptMutex &mutex)
| Lock the mutex.
| ~ScopedLock ()
| Unlock the mutex.

## Detailed Description

Wrapper around BeecryptMutex to add scope-bound locking and unlocking.

This allows code to lock a mutex and ensure it will unlock on exit from the enclosing scope even in the face of exceptions. This is separate from BeecryptMutex because we don't want to make this behavior mandatory.

The documentation for this class was generated from the following file:

- beemutex.h